Bug 595922 - gettext: libintl.jar differs between x86_64 and i686
Summary: gettext: libintl.jar differs between x86_64 and i686
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gettext
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 22:18 UTC by Jim Radford
Modified: 2010-06-07 22:10 UTC (History)
2 users (show)

Fixed In Version: gettext-0.17-16.2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-07 22:10:39 UTC


Attachments (Terms of Use)

Description Jim Radford 2010-05-25 22:18:07 UTC
When upgrading to F13 I noticed that there are conflicts in gettext between the x86 and i686 version which kept me from upgrading.

    file /usr/share/gettext/libintl.jar from install of
      gettext-0.17-16.1.fc13.x86_64 conflicts with file from package
      gettext-0.17-16.fc12.i686

This could be just because 0.17-16.1 wasn't available for i686.

Comment 1 Jens Petersen 2010-05-27 02:18:17 UTC
Thanks for the report.

Not quite sure what should give here...
yes gettext is no longer multilib in f13
since I moved the remaining libs to
the gettext-libs subpackage.

You can safely remove gettext-0.17-16.fc12.i686
as a workaround but of course that doesn't fix
the problem.

Could you please attach the upgrade log?

I don't see how this can be fixed in the gettext package
so it looks better to me if yum could handle this better
perhaps.

Comment 2 Jens Petersen 2010-05-27 02:19:43 UTC
Alternatively (additionally?) I could drop java support...
My feeling is noone uses libintl.jar but someone
tell me if I am wrong. :)

Comment 3 Jens Petersen 2010-05-27 02:25:00 UTC
Ah I think better to move the jar to libs anyway!

Comment 4 Fedora Update System 2010-05-27 10:01:22 UTC
gettext-0.17-16.2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gettext-0.17-16.2.fc13

Comment 5 Fedora Update System 2010-05-27 18:30:20 UTC
gettext-0.17-16.2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gettext-0.17-16.2.fc13

Comment 6 Jim Radford 2010-05-29 23:59:08 UTC
I can't say that an upgrade from f12 would for sure go smoothly for someone with both installed (since I already worked around the problem by hand), but I can now have both gettext-libs.{i686,x86_64} installed in f13 at the same time.

Thanks!

Comment 7 Jens Petersen 2010-05-31 05:53:12 UTC
I tested it and you are right it doesn't actually fix
the problem, but I think at least it should prevent the
problem in the future from happening again. :)

The only workaround is running "rpm -e gettext.i686" in f13
after upgrade (or before if you can).

(In reply to comment #0)
> When upgrading to F13 I noticed that there are conflicts in gettext between the
> x86 and i686 version which kept me from upgrading.

BTW I am curious how exactly it prevented you from upgrading?
Were you doing an upgrade directly with yum?

Comment 8 Jim Radford 2010-05-31 06:07:40 UTC
> (In reply to comment #0)
> > When upgrading to F13 I noticed that there are conflicts in gettext between the
> > x86 and i686 version which kept me from upgrading.

> BTW I am curious how exactly it prevented you from upgrading?
> Were you doing an upgrade directly with yum?    

Yes, "rpm -U fedora-release*; yum upgrade".

Comment 9 Fedora Update System 2010-06-07 22:10:34 UTC
gettext-0.17-16.2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.